from django.urls import path

from events.views import (RegistrationView, ConfirmRegistrationView, RegistrationsListViews, RegistrationPresentView,
                          MyRegistrationsRequestView, MyRegistrationsListView, ResultsView)

urlpatterns = [


    path(
        "confirm-registration/",
        ConfirmRegistrationView.as_view(),
        name="confirm_registration",
    ),

    path(
        "my-registrations-request/<int:pk>/",
        MyRegistrationsRequestView.as_view(),
        name="my_registrations_request",
    ),

    path(
        "my-registrations/<str:uid>/<str:email>/<str:security_code>/",
        MyRegistrationsListView.as_view(),
        name="my_registrations_list",
    ),


    path(
        "registrations/presentation",
        RegistrationsListViews.as_view(
            template_name="events/presentation.html"
        ),
        name="registrations_presentation",
    ),

    path(
        "registrations/<int:pk>/",
        RegistrationView.as_view(),
        name="registration",
    ),

    path(
        "registrations/<int:pk>/present/",
        RegistrationPresentView.as_view(),
        name="registration_present",
    ),

    path(
        "category/<int:pk>/results/",
        ResultsView.as_view(),
        name="results",
    )

]